Bug 114015 - CAN-2003-0848 slocate buffer overflow
Summary: CAN-2003-0848 slocate buffer overflow
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: slocate   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-21 13:45 UTC by Mark J. Cox
Modified: 2014-03-17 02:41 UTC (History)
2 users (show)

Fixed In Version: 2.7-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-29 07:48:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2004-01-21 13:45:55 UTC
A heap-based buffer overflow in slocate can allow local users to gain
"slocate" privileges via a modified slocate database that causes a
negative "pathlen" value.

        CAN-2003-0848 Affects: FC1

Comment 1 Bill Nottingham 2004-01-29 07:48:19 UTC
This is fixed now.


Note You need to log in before you can comment on or make changes to this bug.